package api

import (
	"net/http"
	"time"

	"github.com/gin-gonic/gin"
)

func Listen(address string) {
	router := gin.Default()

	server := &http.Server{
		Addr:         address,
		Handler:      router,
		ReadTimeout:  10 * time.Second,
		WriteTimeout: 10 * time.Second,
	}

	err := server.ListenAndServe()
	if err != nil {
		panic(err)
	}
}
